Create new questions
curl --request POST \
--url https://app.quizrise.com/api/v1/question/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quizId": "<string>",
"count": 2,
"content": "<string>",
"language": "<string>",
"url": "<string>"
}
'import requests
url = "https://app.quizrise.com/api/v1/question/create"
payload = {
"quizId": "<string>",
"count": 2,
"content": "<string>",
"language": "<string>",
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quizId: '<string>',
count: 2,
content: '<string>',
language: '<string>',
url: '<string>'
})
};
fetch('https://app.quizrise.com/api/v1/question/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "<string>",
"quizId": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Question Routes
Create Quiz Question API
Create a new question for an existing quiz from a provided content.
POST
/
question
/
create
Create new questions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ID of the quiz
Type of questions to generate
Available options:
TRUEFALSE, FILLBLANK, MULTIPLECHOICE Number of questions to generate
Required range:
x >= 1Source type of the content
Available options:
TEXT, PDF, WEBSITE, IMAGE Difficulty level of questions
Available options:
EASY, MEDIUM, HARD Content to generate questions from
Language of the content
URL to fetch content from
⌘I